@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    --mainColor: #6482AD;
    --card-color: #7FA1C3;
    font-family: "Inter", sans-serif;
}

body {
    background-color: var(--mainColor);
    font-family: "Inter", sans-serif;
    font-weight: bold;
    display: grid;
    position: relative;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

nav {
    display: flex;
    justify-content: space-between;
    height: 65px;
    align-items: center;
    padding: 0.3rem;
    width: 90%;
    place-self: center;
    z-index: 1;
}

nav a img {
    width: 100px;
}

nav #menu{
    display: none;
}

#menu {
    background: none;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

#menu img {
    width: 35px;
}


.hidden {
    display: none !important;
    /* visibility: hidden;
    opacity: 0; */
}

.nav-toggle{
    width: 100%;
    height: 100vh;
    background-color:  var(--card-color);
    position: fixed;
    right: 0;
    display: flex;
    flex-direction: column;
    filter: drop-shadow(8px 4px 20px black);
    z-index: 1;
}

.nav-toggle #close-aside{
    align-self: end;
    margin: 1rem;
    background-color: var(--mainColor);
    border: none;
    width: 50px;
    height: 50px;
    border-radius: 100%;
    cursor: pointer;
}

.nav-toggle form{
    width: 85%;
    align-self: center;
    display: grid;
    gap: 10px;
}

.nav-toggle form h1{
    font-weight: bold;
    color: white;
    text-align: center;
    margin: 0;
}

.nav-toggle form .container-text{
    background-color: white;
    padding: 1rem;
}

.nav-toggle form input{
    height: 50px;
    width: 100%;
    text-align: center;
    background: white;
    color: var(--mainColor);
    font-weight: bolder;
    border: none;
    outline: none;
    padding: 0;
}
.nav-toggle form input::placeholder{
    color: var(--mainColor);
}
.nav-toggle form textarea{
    background-color: white;
    height: 50vh;
    width: 100%;
    color: var(--mainColor);
    padding: 0;
}
.nav-toggle form button{
    width: 100%;
    height: 50px;
    background: var(--mainColor);
    border: none;
    color: white;
}
main {
    display: grid;
    padding: 0.3rem;
    gap: 20px;
    width: 90%;
    place-self: center;
}

.nuevo-todo-container {
    background-color: var(--card-color);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 200px;
}

.nuevo-todo-container button {
    background-color: white;
    border-radius: 100%;
    border: none;
    width: 75px;
    height: 75px;
    cursor: pointer;
}

.task-container {
    background-color: var(--card-color);
    height: 200px;
    display: flex;
    flex-direction: column;
    /* gap: 10px; */
    position: relative;
}

.task-container header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 95%;
    height: 25%;
    align-self: center;
}

header h1 {
    font-size: 20px;
    color: white;
}

header .options {
    display: flex;
    background-color: white;
    border-radius: 50px;
}

.options button {
    width: 40px;
    height: 40px;
    background: none;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

button img {
    width: 30px;
    height: 30px;
}

textarea {
    width: 95%;
    height: 70%;
    align-self: center;
    border: none;
    outline: none;
    color: white;
    font-size: 20px;
    resize: none;
    background-color: var(--card-color);
    font-family: "Inter", sans-serif;
}
section{
    width: 100%; 
    height: 100%; 
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
}
.complete-pop{
    display: none;
    background-color: #88D66C;
}
.delete-pop{
    display: none;
    background-color: #FA7070;
}

@media(min-width: 768px){
    main{
        grid-template-columns: repeat(2,1fr);
    }
    .nav-toggle{
        width: 50%;
        /* height: -webkit-fill-available; */
    }
}


@media(min-width: 1024px){
    main{
        grid-template-columns: repeat(3,1fr);
    }
}

@media(min-width: 1440px){
    main{
        grid-template-columns: repeat(4,1fr);
    }
}
@media(min-width: 1700px){
    nav{
        width: 1500px;
    }
    main{
        width: 1500px;
    }
}